%if %{undefined el9}
%bcond_without tests
%else
%bcond_with tests
%endif

%global post_url %{ansible_collection_url pulp pulp_installer}

Name:           ansible-collection-pulp-pulp_installer
Version:        3.22.1
Release:        10%{?dist}
Summary:        A collection of roles to install or upgrade Pulp 3. Can also reconfigure or add plugins to an existing install.
License:        GPL-2.0
# URL:            %{ansible_collection_url pulp pulp_installer}
URL:            https://galaxy.ansible.com/ui/repo/published/pulp/pulp_installer
Source:         https://galaxy.ansible.com/download/pulp-pulp_installer-%{version}.tar.gz
Source1:        pathfix.py
Source2:        LICENSE
Source3:        COMMITMENT
Source5:        galaxy.yml
Source6:        RELEASING.md
BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif
# For ansible cli commmands
BuildRequires:  ansible-core >= 2.10
# For pathfix.py
BuildRequires:  python3-devel

BuildArch:      noarch

# ansible-packaging automatically pulled in dependencies from galaxy.yml which is already included.
# Disable rpm dependency auto-generation and manually define here:
AutoReq:        no
Requires:       python3.11-ansible-core >= 2.16
Requires:       /bin/sh
Requires:       ansible-collection(ansible.posix)
Requires:       ansible-collection(community.crypto) >= 1.0.0
Requires:       ansible-collection(community.postgresql)
Requires:       ansible-collection(mdellweg.filters)
Requires:       rpmlib(RichDependencies) <= 4.12.0-1
Patch0:         0001-Pulp-should-use-python3.11.patch
Patch1:         0002-Adjust-pulp-daemon-dir-for-pulpcore-3.49.15.patch
Patch2:         0003-Add-usr-bin-pulpcore-api-content-to-pulp-binaries-li.patch
Patch3:         0004-Ensure-pulpcore-services-are-running.patch
Patch4:         0005-Oracle-Linux-9-should-use-pulp_pkg_name_prefix-pytho.patch

%description
%{summary}.


%prep
%autosetup -c pulp_installer-%{version} -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +

%{__cp} %{SOURCE2} LICENSE
%{__cp} %{SOURCE3} COMMITMENT
%{__cp} %{SOURCE5} galaxy.yml
%{__cp} %{SOURCE6} RELEASING.md


%build
echo asdf
echo %{ansible_collection_url pulp pulp_installer}
%ansible_collection_build


%install
%ansible_collection_install

#Fix ambiguous python shebangs using a pathfix.py modified by me (Lans Hung <lans.hung@oracle.com>)
%{SOURCE1} -i "%{__python3} %{py3_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/collections/


%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COMMITMENT COPYRIGHT LICENSE
%doc README.md RELEASING.md


%changelog
* Mon Mar 31 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.22.1-10
- Oracle Linux 9 should use pulp_pkg_name_prefix python3.11

* Wed Mar 19 2025 Rafael Barron <rafael.barron@oracle.com> - 3.22.1-9
- Remove python2-devel build dependency

* Fri Mar 07 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.22.1-8
- Add pulpcore-(api|content) files to pulp binaries
- Ensure all pulpcore services are running during healthcheck

* Tue Mar 04 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.22.1-7
- Pull latest changes from pulpcore upstream/main (c8bab93)

* Fri Aug 30 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.22.1-6
- Set pulp_pkg_name_prefix to python3.11-
- Avoid enabling python3.11 stream module (as patch)

* Mon Aug 28 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 3.22.1-5
- Use python3.11 for pulp

* Mon Aug 26 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.22.1-4
- Require python3.11-ansible-core >= 2.16 
- Fix on pulp_installer collection to avoid enabling python3.11 stream module

* Wed Jul 31 2024 Carlos Heiras<carlos.heiras@oracle.com> - 3.22.1-0
- Release pulp_installer 3.22.1-0

* Fri Jun 23 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-5
- Change back to GPL-2.0 license

* Fri Jun 23 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-4
- Import source from galaxy.ansible.com

* Wed Jun 14 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-2
- Add oracle declaration on top of COMMITMENT

* Wed May 31 2023 Lans Hung<lans.hung@oracle.com> - 3.21.4-1
- Init package
